INCLUDES = -I$(top_srcdir)

# programs
progsLDADD     = ../csl/libcsl.la

# programs not to install
noinst_PROGRAMS = csldrivers cslinit cslinitmutex cslmutex csloptions cslpcm1 cslpcm2 cslutils cslchanmap cslduplex cslpcmadv wave

csldrivers_SOURCES = csldrivers.c
cslinit_SOURCES = cslinit.c
cslinitmutex_SOURCES = cslinitmutex.c
cslmutex_SOURCES = cslmutex.c
csloptions_SOURCES = csloptions.c
cslpcm1_SOURCES = cslpcm1.c
cslpcm2_SOURCES = cslpcm2.c
cslduplex_SOURCES = cslduplex.c
cslutils_SOURCES = cslutils.c
cslpcmadv_SOURCES = cslpcmadv.c
wave_SOURCES = wave.c

csldrivers_LDADD = $(progsLDADD)
cslinit_LDADD = $(progsLDADD)
cslinitmutex_LDADD = $(progsLDADD)
cslmutex_LDADD = $(progsLDADD) -lpthread
csloptions_LDADD = $(progsLDADD)
cslpcm1_LDADD = $(progsLDADD)
cslpcm2_LDADD = $(progsLDADD)
cslduplex_LDADD = $(progsLDADD) -lpthread
cslutils_LDADD = $(progsLDADD)
cslchanmap_LDADD = $(progsLDADD)
cslpcmadv_LDADD = $(progsLDADD)
wave_LDADD = $(progsLDADD) -lm
